readertest(1)

NAME

readertest - A tool to check a reader configuration

SYNOPSIS
readertest [-h] [-V] [-v] [-p R port ] [-r R readertype ] [-d R drivertype ] [-D R driver ]

DESCRIPTION

readertest is a tool that checks for existence of a chipcard reader with a given configuration. It's main intention is the use through other, more user friendly configuration tools. Note that chipcardd must not have allocated a reader for the detection to work.

OPTIONS

-h  display instructions

-V  display version information

-v  be more verbous

-p port
    Specify port which to probe for a reader. port is a string value as taken by chipcardd.conf (see corresponding man page), e.g. USB0, COM1 etc. This parameter is mandatory.

-r readertype
    Specify the type of chipcard reader to probe. readertype is a string value as taken by chipcardd.confP (see corresponding man page), e.g. towitoko. This parameter is mandatory.

-d drivertype
    Specify the driver type to use. drivertype is a string value as taken by chipcardd.conf, i.e. pcsc or ctapi (see man page of chipcardd.conf). This parameter is mandatory.

-D driver
    Specify the driver to use, this driver must be a library file, e.g. libtowitoko.so.2 (see man page of chipcardd.conf). This parameter is mandatory.

AUTHORS

Martin Preuss <martin@libchipcard.de>

SEE ALSO

libchipcard.conf(5) chipcardd.conf(5)